Anonymous Login
2018-12-15 13:34 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001652OpenClonkEnginepublic2017-12-22 19:54
Reporterala 
Assigned ToLuchs 
PrioritylowSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version 
Target Version8.0Fixed in Version8.0 
Summary0001652: Climbing on the landscape border
DescriptionIn the Open Clonk stream in summer, Sven2 climbed on the landscape border in order to get out of lava, see here: https://www.youtube.com/watch?v=QfkAeiiJUY4#t=1h20m2s
TagsNo tags attached.
Attached Files

-Relationships
related to 0000814confirmed Dig + landscape border = fly 
+Relationships

-Notes

~0004917

Sven2 (developer)

Last edited: 2016-02-01 04:49

View 3 revisions

Why do you think this is an error? You can climb because the side is closed.

The specific map should not have closed borders, but that's a problem in clonk-fest (a third-party map).

Normally, closed landscape borders should happen only underground. I think it's correct if you can climb the side in cave maps.

It's also not very easy to prevent in the engine (without hacks at least). Practically, we would have to expand BorderBound to stop the clonk earlier or add exceptions to the movement code.

~0004927

Pyrit (developer)

If there's tunnel from start on, it should be open, if you made the tunnel by digging away material, it should be solid.

~0004960

Maikel (developer)

Scaling on a side where there was material before (i.e. underground) is wanted behaviour. However, what is not wanted is the behaviour shown in the attached screenshot (border_climb.png).

~0004965

Sven2 (developer)

So the proposed change would be to determine SideOpen per pixel at round start the same way we already have it for TopOpen=2 and BottomOpen=2 settings?

This would cover the cases mentioned here. However, you could still climb the side in AcidGoldMine where there was acid before. Because if we change the sides to be open thee, the acid will just drain out of the map.

So for AcidGoldMine, I would suggest expanding the map sideways and actually putting a small granite (or everrock) border to the sides. Then it would be more clear where you have to put the pump drain if you want to get liquid out of the map. Right now it feels pretty arbitrary.

~0004966

Maikel (developer)

Yes, sounds like the changes we need.

~0005950

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/fa8f868ffbed0057aa2d91b7b0499d0715c67693

Changeset fa8f868 by Lukas Werling <lukas.werling@gmail.com>
Change AutoScanSideOpen to be like Top/BottomOpen=2 (0001652)

~0005951

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/8838d8c6cec887351e634ff8aa8ded0907300b8d

Changeset 8838d8c by Lukas Werling <lukas.werling@gmail.com>
AcidGoldMine: Draw acid lake with tunnel background (0001652)

The new AutoScanSideOpen won't close the border otherwise.
Additionally, this makes clear where to pump acid.

~0005952

Luchs (administrator)

Someone can still add a granite border to AcidGoldMine instead of the tunnel background...
+Notes

-Issue History
Date Modified Username Field Change
2016-01-23 21:40 ala New Issue
2016-01-23 21:40 ala Description Updated View Revisions
2016-01-27 14:28 Maikel Target Version => 7.1 (Bugfix update)
2016-01-29 20:44 Sven2 Note Added: 0004917
2016-01-29 21:31 Sven2 Note Edited: 0004917 View Revisions
2016-01-31 22:50 Pyrit Note Added: 0004927
2016-02-01 00:43 Isilkor Relationship added related to 0000814
2016-02-01 04:49 Sven2 Note Edited: 0004917 View Revisions
2016-02-08 14:41 Maikel File Added: border_climb.png
2016-02-08 14:42 Maikel Note Added: 0004960
2016-02-09 02:24 Sven2 Note Added: 0004965
2016-02-09 08:10 Maikel Note Added: 0004966
2017-08-05 09:03 Maikel Target Version 7.1 (Bugfix update) => 8.0
2017-12-22 19:53 occ Note Added: 0005950
2017-12-22 19:53 occ Note Added: 0005951
2017-12-22 19:54 Luchs Note Added: 0005952
2017-12-22 19:54 Luchs Assigned To => Luchs
2017-12-22 19:54 Luchs Status new => resolved
2017-12-22 19:54 Luchs Resolution open => fixed
2017-12-22 19:54 Luchs Fixed in Version => 8.0
+Issue History